## fleet python-0.2.101

=== fleet/agent/gemini_cua/requirements.txt ===
fleet-python
playwright>=1.40.0
mcp[cli]>=1.2.0
uvicorn>=0.30.0
starlette>=0.38.0

## fleet 0.11.5+dfsg

=== debian/changelog ===
fleet (0.11.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #783440).
    Thanks, Tim Potter.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 21 Sep 2015 20:19:39 +1000

=== debian/control ===
Source: fleet
Section: admin
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-systemd,
               golang-clockwork-dev,
               golang-dbus-dev,
               golang-docker-dev,
               golang-etcd-server-dev | golang-github-coreos-etcd-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-rakyll-globalconf-dev,
               golang-github-ugorji-go-codec-dev,
               golang-go,
               golang-go-semver-dev,
               golang-go.crypto-dev,
               golang-google-api-dev,
               golang-uuid-dev
Standards-Version: 3.9.6
Homepage: https://github.com/coreos/fleet
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/fleet.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/fleet.git

Package: fleet
Architecture: any
Depends: golang-go,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: etcd
Built-Using: ${misc:Built-Using}
Description: distributed init system using systemd and etcd
 Fleet ties together systemd and etcd into a distributed init system.
 It is as an extension of systemd that operates at the cluster level
 instead of the machine level. This project is very low level and is
 designed as a foundation for higher order orchestration.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/coreos/fleet
export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/fleetd $(DH_GOPKG)/fleetctl

%:
	dh $@ --buildsystem=golang --with=golang,systemd

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	dh_auto_configure
	./debian/cleanup_third_party.sh

override_dh_auto_install:
	dh_auto_install
	$(RM) -rv debian/fleet/usr/share/gocode
	mkdir debian/fleet/usr/sbin && mv -v debian/fleet/usr/bin/fleetd debian/fleet/usr/sbin/

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/coreos/fleet/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## fleet 0.13.0+dfsg

=== debian/changelog ===
fleet (0.13.0+dfsg-1) unstable; urgency=medium

  [ Tim Potter <tpot@hpe.com> ]
  * Add alternate golang-github-coreos-go-semver-dev for golang-go-semver-dev
  * Standards-Version: 3.9.8
  * Update my email in uploaders

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * New upstream release.
  * Build-embed proper upstream version number exposed on run time.
  * Vcs-Git URL to HTTPS.
  * Removed "golang-go" from Depends.
  * Build-Depends:
    + golang-github-spf13-cobra-dev
    - golang-clockwork-dev
    + golang-github-jonboulle-clockwork-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Jun 2016 12:28:41 +1000

fleet (0.12.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - golang-uuid-dev
    + golang-github-pborman-uuid-dev
  * Dropped obsolete "netlink.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 18:34:25 +1000

fleet (0.11.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Apr 2016 19:10:56 +1000

fleet (0.11.5+dfsg1-4) unstable; urgency=medium

  * Switch to vishvananda-netlink, fixes FTBFS (Closes: #817025).
  * Switch to system "go-systemd" package.
  * systemd: .service: += "After=network.target".
  * fleetctl: install bash-completion.
  * fleetctl: man page corrections.
  * Standards-Version: 3.9.7.
  * Updated Vcs-Browser URL.
  * Build-Depends:
    - golang-github-opencontainers-runc-dev
    + golang-github-vishvananda-netlink-dev
    - golang-github-coreos-go-systemd-dev
    + golang-github-coreos-go-systemd-dev (>= 4)

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Mar 2016 22:27:58 +1100

fleet (0.11.5+dfsg1-3) unstable; urgency=medium

  * Switch to bundled "golang-github-coreos-go-systemd-dev" due to run time
    errors and test failures.
  * Do not ignore test failures.
  * Added "[Install]" section to .service file.
  * rules: replaced "cleanup_third_party.sh" and "third_party_exclude" with
    dynamic patching based on copyright/Files-Excluded.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 Nov 2015 13:08:03 +1100

fleet (0.11.5+dfsg-2) unstable; urgency=medium

  * New "runc.patch" to use libcontainer provided by runc (Closes: #803496).
  * Build-Depends:
    - golang-docker-dev
    + golang-github-opencontainers-runc-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 Oct 2015 10:47:48 +1100

=== debian/control ===
Source: fleet
Section: admin
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), bash-completion,
               dh-golang,
               dh-systemd,
               golang-github-jonboulle-clockwork-dev,
               golang-dbus-dev,
               golang-etcd-server-dev | golang-github-coreos-etcd-dev,
               golang-github-coreos-go-systemd-dev (>= 4),
               golang-github-pborman-uuid-dev,
               golang-github-rakyll-globalconf-dev,
               golang-github-spf13-cobra-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-vishvananda-netlink-dev,
               golang-go,
               golang-go-semver-dev | golang-github-coreos-go-semver-dev,
               golang-go.crypto-dev,
               golang-google-api-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/coreos/fleet
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/fleet.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/fleet.git

Package: fleet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: etcd
Built-Using: ${misc:Built-Using}
Description: distributed init system using systemd and etcd
 Fleet ties together systemd and etcd into a distributed init system.
 It is as an extension of systemd that operates at the cluster level
 instead of the machine level. This project is very low level and is
 designed as a foundation for higher order orchestration.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,12 @@
 export DH_GOPKG := github.com/coreos/fleet
 export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/fleetd $(DH_GOPKG)/fleetctl
 
+PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
+PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
+
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd
+	dh $@ --buildsystem=golang --with=golang,systemd,bash-completion --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -16,12 +20,14 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	./debian/cleanup_third_party.sh
+	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
+        | while read D; do D="$${D##Godeps/_workspace/src/}" ; printf "Removing third party bundle: $$D\n" ;\
+            perl -pi -E "s{$(DH_GOPKG)/Godeps/_workspace/src/$$D}{$$D}msg;" `find _build/src -type f -name "*.go"` ;\
+        done
+	sed -i -e "s/0.0.0+wasnotbuiltproperly/$(VER)/" _build/src/$(DH_GOPKG)/version/version.go
 
 override_dh_auto_install:
 	dh_auto_install
 	$(RM) -rv debian/fleet/usr/share/gocode
 	mkdir debian/fleet/usr/sbin && mv -v debian/fleet/usr/bin/fleetd debian/fleet/usr/sbin/
 
-override_dh_auto_test:
-	-dh_auto_test
